using System;
using System.Collections.Generic;
using System.Linq;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using System.Data;
using ceTe.DynamicPDF;
using Consulenza.ReportWriter.Business.CHART_PDF;
using Consulenza.ReportCommon;
using Consulenza.ReportWriter.Business.Entity;
using Consulenza.ReportWriter.Business.Headers;

namespace Consulenza.ReportWriter.Manager.Section.Immobiliare.Monitoraggio
{
    /// <summary>   
    /// Patrimonio Immobiliare Sintesi (id 35)  
    /// </summary>
    public class S2 : Entity.Section
    {
        public S2(EnvironmentFacade environmentFacade, int idSection)
            : base(environmentFacade, idSection)
        {
            try
            {
                Draw();
            }
            catch (Exception ex)
            {
                SectionLogger.Write("S2", ex.Message, SectionLoggerMessageLevel.E, EnvironmentFacade.ReportEnvironment);
            }
        }

        /// <summary>
        /// Scheda2. Patrimonio immobiliare –Sintesi (distribuzione del patrimonio complessivo del cliente diviso per tipologia e cointestatari)
        /// </summary>
        protected override void Draw()
        {
            MonitoraggioImmobiliarePageHeaderManager.DrawIndexPage(Elements, 203);
        }


        private void DrawIndex(List<ObjectPDF> elements, int sectionId)
        {
            
            elements.Add(new ImagePDF(14, 0, "contestoescenari.png") { Width = 37, Height = 30, DeltaY = 100 });
            elements.Add(new ImagePDF(22, 0, "fiscalita.png") { Width = 20, Height = 28, DeltaY = 150 });
            elements.Add(new ImagePDF(15, 0, "mappatura.png") { Width = 31, Height = 24, DeltaY = 200 });
            elements.Add(new ImagePDF(15, 0, "analisidelrischio.png") { Width = 35, Height = 29, DeltaY = 250 });
            elements.Add(new ImagePDF(11, 0, "dettaglio.png") { Width = 44, Height = 31, DeltaY = 300 - 2 });
            elements.Add(new ImagePDF(17, 0, "glossario2.png") { Width = 31, Height = 31, DeltaY = 350 - 2 });

            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 104, AutoIncrementYWritable = false });
            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 154, AutoIncrementYWritable = false });
            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 204, AutoIncrementYWritable = false });
            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 254, AutoIncrementYWritable = false });
            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 304, AutoIncrementYWritable = false });
            elements.Add(new RectanglePDF(20, 45, new ColorPDF(153, 148, 133)) { X = 61, DeltaY = 354, AutoIncrementYWritable = false });

            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>C<font></b><font color='5C5951'>ontesto e scenari</font>", 61 + 45 - 12 + 1) {DeltaY = 104, AutoIncrementYWritable = false, FontSize = 15 });
            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>F<font></b><font color='5C5951'>iscalità</font>", 61 + 45 - 10) { DeltaY = 154, AutoIncrementYWritable = false, FontSize = 15 });
            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>M<font></b><font color='5C5951'>appatura strategica del patrimonio immobiliare</font>", 61 + 45 - 12 - 2) { DeltaY = 204, AutoIncrementYWritable = false, FontSize = 15 });
            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>A<font></b><font color='5C5951'>nalisi del rischio</font>", 61 + 45 - 12) { DeltaY = 254, AutoIncrementYWritable = false, FontSize = 15 });
            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>D<font></b><font color='5C5951'>ettaglio immobili</font>", 61 + 45 - 12) { DeltaY = 304, AutoIncrementYWritable = false, FontSize = 15 });
            elements.Add(new FormattedTextAreaPDF("<b><font color='FFFFFF'>G<font></b><font color='5C5951'>lossario</font>", 61 + 45 - 12) { DeltaY = 354, AutoIncrementYWritable = false, FontSize = 15 });

            elements.Add(new FormattedTextAreaPDF("<font color='5C5951'>pag. </font><font><b><font color='AE9651'>  2</font></b>", 705) { DeltaY = 104, AutoIncrementYWritable = false, FontSize = 15 });
          
        }

        /// <summary>
        /// Recupera i dati necessari alla Section restituendo un DataTable.
        /// </summary>
        /// <returns></returns>
        protected override DataTable GetDataTable()
        {
            return null;
        }

        /// <summary>
        /// Recupera i dati necessari alla Section restituendo un DataSet.
        /// </summary>
        /// <returns></returns>
        protected override DataSet GetDataSet()
        {
            return null;
        }
    }
}
